---
title: ScreenOrientation
slug: Web/API/ScreenOrientation
tags:
  - API
  - Interface
  - Reference
  - Screen Orientation API
  - ScreenOrientation
  - screen
---
<p>{{APIRef("Screen Orientation API")}}{{SeeCompatTable}}</p>

<p>The <strong><code>ScreenOrientation</code></strong> interface of the <a href="/en-US/docs/Web/API/Screen_Orientation_API">Screen Orientation API</a> provides information about the current orientation of the document.</p>

<p>A <strong><code>ScreenOrientation</code></strong> instance object can be retrieved using the <a href="/en-US/docs/Web/API/Screen/orientation"><code>window.screen.orientation</code></a> property.</p>

<h2 id="Properties">Properties</h2>

<dl>
 <dt>{{DOMxRef("ScreenOrientation.type")}}{{ReadOnlyInline}}</dt>
 <dd>Returns the document's current orientation type, one of "portrait-primary", "portrait-secondary", "landscape-primary", or "landscape-secondary".</dd>
 <dt>{{DOMxRef("ScreenOrientation.angle")}}{{ReadOnlyInline}}</dt>
 <dd>Returns the document's current orientation angle.</dd>
</dl>

<h3 id="Event_handlers">Event handlers</h3>

<dl>
 <dt>{{DOMxRef("ScreenOrientation.onchange")}}</dt>
 <dd>The {{DOMxRef("EventHandler")}} called whenever the screen changes orientation.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<dl>
 <dt>{{DOMxRef("ScreenOrientation.lock()")}}</dt>
 <dd>Locks the orientation of the containing document to its default orientation and returns a {{JSxRef("Promise")}}. </dd>
 <dt>{{DOMxRef("ScreenOrientation.unlock()")}}</dt>
 <dd>Unlocks the orientation of the containing document from its default orientation.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Screen Orientation', '#screenorientation-interface', 'ScreenOrientation')}}</td>
   <td>{{Spec2('Screen Orientation')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_Compatibility">Browser Compatibility</h2>

<p>{{Compat("api.ScreenOrientation")}}</p>
